Bug 854212 - 3.1 useless /usr/bin/vdsm-tool should not be shipped
3.1 useless /usr/bin/vdsm-tool should not be shipped
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
x86_64 Linux
medium Severity medium
: rc
: ---
Assigned To: Yaniv Bronhaim
Pavel Stehlik
: Reopened, ZStream
Depends On:
Blocks: 849193
  Show dependency treegraph
Reported: 2012-09-04 07:44 EDT by Humble Chirammal
Modified: 2016-04-26 09:46 EDT (History)
14 users (show)

See Also:
Fixed In Version: vdsm-4.9.6-34.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 14:09:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Humble Chirammal 2012-09-04 07:44:02 EDT
Description of problem:

"vdsm-tool" does not list proper "help" message.

[root@dhcp210-211 vdsm]# /usr/bin/vdsm-tool 
Usage: /usr/bin/vdsm-tool [options] <action> <module>

Valid options:
  -h, --help

[root@dhcp210-211 vdsm]# /usr/bin/vdsm-tool --help
Usage: /usr/bin/vdsm-tool [options] <action> <module>

Valid options:
  -h, --help

[root@dhcp210-211 vdsm]# man vdsm-tool
No manual entry for vdsm-tool
[root@dhcp210-211 vdsm]# 

Version-Release number of selected component (if applicable):

[root@dhcp210-211 vdsm]# rpm -qf `which vdsm-tool`
[root@dhcp210-211 vdsm]# 

How reproducible:

As mentioned above

Steps to Reproduce:

Actual results:

vdsm-tool does not display proper help options

Expected results:

vdsm-tool should list proper listing of "help" switch.

Comment 1 Yaniv Kaul 2012-09-04 07:46:47 EDT

We are not shipping this tool. How did you get it installed (and why?).
Comment 2 Humble Chirammal 2012-09-04 09:02:49 EDT
We are not shipping this tool. How did you get it installed (and why?).

Does below answer it ? this tool came with the RHEV-H beta ISO from RHN.

[root@dhcp210-211 admin]# cat /etc/redhat-release
Red Hat Enterprise Virtualization Hypervisor release 6.3 (20120813.0.rhev31.el6_3)
[root@dhcp210-211 admin]# rpm -qa |grep vdsm
[root@dhcp210-211 admin]# rpm -ql vdsm-python 
[root@dhcp210-211 admin]# 

Comment 3 Yaniv Kaul 2012-09-04 09:04:37 EDT
Danken, why do we need vdsm-tool on RHEVH?
Comment 4 RHEL Product and Program Management 2012-09-04 09:13:19 EDT
Since this bug report was entered in bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.
Comment 5 Dan Kenigsberg 2012-09-04 10:17:02 EDT
We do not need vdsm-tool in rhev-3.1. It is there only because it has existed upstream when we've rebased. It has no code, not only no man page. If it confuses Support and customers, it can safely be removed from downstream.
Comment 6 Yaniv Bronhaim 2012-09-05 06:50:09 EDT
removing vdsm-tool patch:
Comment 11 errata-xmlrpc 2012-12-04 14:09:42 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.